Skip to main content
GET
/
log_search
Search Logs V2 events
curl --request GET \
  --url https://api.kapso.ai/platform/v1/log_search \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "available": true,
    "source": "external_api_log",
    "window": {
      "since": "2026-07-06T12:00:00Z",
      "until": "2026-07-07T12:00:00Z"
    },
    "events": [
      {
        "id": "evt_1",
        "source": "external_api_log",
        "timestamp": "2026-07-07T11:59:00Z",
        "message": "POST /v1/messages",
        "http_method": "POST",
        "endpoint": "/v1/messages",
        "api_key_name": "Production key",
        "response_status": 422,
        "payload": {
          "error_message": "Graph API failed"
        }
      }
    ],
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

query
string

Free-text search query. Blank queries are allowed for browsing narrowed by source, filters, or problems_only.

period
enum<string>
default:24h

Time window to search. Use context with around to fetch nearby events.

Available options:
24h,
7d,
context
source
enum<string>
default:all

Logs V2 source to search. Use all to search every source.

Available options:
all,
external_api_log,
whatsapp_webhook_event,
flow_event,
webhook_delivery
problems_only
boolean
default:false

Only return problem or error events.

errors_only
boolean
default:false

Alias for problems_only.

limit
integer
default:50

Maximum number of events returned.

Required range: 1 <= x <= 100
cursor
string

Cursor returned as pagination.next_cursor from a previous response.

around
string<date-time>

Center a context search around this timestamp. Use with period=context.

highlight_event_id
string

Include this event in the page when available.

highlight_resource_id
string

Include an event for this resource in the page when available.

Response

Success

data
object
required